Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1567835 - 'import requests' issues DeprecationWarning: OpenSSL.rand is deprecated
Summary: 'import requests' issues DeprecationWarning: OpenSSL.rand is deprecated
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pyOpenSSL
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-16 09:29 UTC by Christian Heimes
Modified: 2018-11-30 21:02 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:02:05 UTC
Type: Bug


Attachments (Terms of Use)

Description Christian Heimes 2018-04-16 09:29:55 UTC
Description of problem:
The requests package issues a deprecation warning for PyOpenSSL's rand module. This causes issues with any package and software that treats a deprecation warning as an error. Amongst others it breaks custodia's package.

Version-Release number of selected component (if applicable):
python3-requests-2.18.4-1.fc27.noarch
python3-pyOpenSSL-17.2.0-2.fc27.noarch

How reproducible:
Always

Steps to Reproduce:
1.  python3 -Werror -c "import requests"

Actual results:
Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/lib/python3.6/site-packages/requests/__init__.py", line 84, in <module>
    from urllib3.contrib import pyopenssl
  File "/usr/lib/python3.6/site-packages/urllib3/contrib/pyopenssl.py", line 46, in <module>
    import OpenSSL.SSL
  File "/usr/lib/python3.6/site-packages/OpenSSL/__init__.py", line 8, in <module>
    from OpenSSL import rand, crypto, SSL
  File "/usr/lib/python3.6/site-packages/OpenSSL/rand.py", line 19, in <module>
    DeprecationWarning, stacklevel=3
DeprecationWarning: OpenSSL.rand is deprecated - you should use os.urandom instead


Expected results:
no error

Additional info:

Comment 1 Charalampos Stratakis 2018-04-16 12:02:30 UTC
This can be fixed by upgrading pyopenssl to a version >= 17.3.0 [0] or by backporting the relevant commits [1]

[0] https://github.com/pyca/pyopenssl/blob/master/CHANGELOG.rst#1730-2017-09-14
[1] https://github.com/pyca/pyopenssl/pull/675/files

Comment 2 Tomas Mraz 2018-04-16 12:30:22 UTC
I do not think deleting the rand module completely would be an option for Fedora 27.

Comment 3 Ben Cotton 2018-11-27 16:10:23 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2018-11-30 21:02:05 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.